/**
 * Copyright © VNG Realisatie 2024
 * Licensed under the EUPL
 */

@use "../theme";

.delegated-service-publications-page {
    &__actions-bar {
        display: flex;
        align-items: flex-start;

        &__button {
            &.active {
                background-color: theme.$colorBackgroundButtonSecondarySelected;
                color: theme.$colorTextButtonSecondarySelected;
            }
        }

       &__button-add-publication {
           margin-left: auto;
       }
    }

    &__loading-message {
        display: none;
    }

    &__no-results {
        color: theme.$colorTextLabel;
        font-size: theme.$fontSizeSmall;
        margin-bottom: 0;
        text-align: center;
        height: calc(100vh - 20rem);
        line-height: calc(100vh - 20rem);
    }

    &__publication-title a {
        text-decoration: none;
    }

    &__publications-table {
        &__column {
            width: 20rem;
        }
        &__contract-status-column {
            width: 2rem;
        }
    }

    &.htmx-request {
        .publications-page__loaded-content { display: none; }
        .publications-page__loading-message { display: flex; }
    }

    #pagination .publications-page__no-results {
        height: initial;
        line-height: initial;
    }

    .text-right {
        text-align: right;
    }

    .td--warning {
        color: theme.$colorWarning
    }
}
